javax.xml.bind

## Class UnmarshalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.xml.bind.JAXBException
      - - javax.xml.bind.UnmarshalException

All Implemented Interfaces:
  java.io.Serializable

    public class UnmarshalException
    extends JAXBException

This exception indicates that an error has occured while performing an unmarshal operation.

Since:
  JAXB1.0
See Also:
  `JAXBException`, `Marshaller`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnmarshalException(java.lang.String message)` Construct an UnmarshalException with the specified detail message.
`UnmarshalException(java.lang.String message, java.lang.String errorCode)` Construct an UnmarshalException with the specified detail message and vendor specific errorCode.
`UnmarshalException(java.lang.String message, java.lang.String errorCode, java.lang.Throwable exception)` Construct an UnmarshalException with the specified detail message and vendor specific errorCode.
`UnmarshalException(java.lang.String message, java.lang.Throwable exception)` Construct an UnmarshalException with the specified detail message and linkedException.
`UnmarshalException(java.lang.Throwable exception)` Construct an UnmarshalException with a linkedException.

### Method Summary

### Methods inherited from class javax.xml.bind.JAXBException

`getErrorCode, getLinkedException, printStackTrace, printStackTrace, setLinkedException, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnmarshalException

    public UnmarshalException(java.lang.String message)

Construct an UnmarshalException with the specified detail message. The errorCode and linkedException will default to null.

Parameters:
  `message` - a description of the exception

#### UnmarshalException

    public UnmarshalException(java.lang.String message,
                              java.lang.String errorCode)

Construct an UnmarshalException with the specified detail message and vendor specific errorCode. The linkedException will default to null.

Parameters:
  `message` - a description of the exception
  `errorCode` - a string specifying the vendor specific error code

#### UnmarshalException

    public UnmarshalException(java.lang.Throwable exception)

Construct an UnmarshalException with a linkedException. The detail message and vendor specific errorCode will default to null.

Parameters:
  `exception` - the linked exception

#### UnmarshalException

    public UnmarshalException(java.lang.String message,
                              java.lang.Throwable exception)

Construct an UnmarshalException with the specified detail message and linkedException. The errorCode will default to null.

Parameters:
  `message` - a description of the exception
  `exception` - the linked exception

#### UnmarshalException

    public UnmarshalException(java.lang.String message,
                              java.lang.String errorCode,
                              java.lang.Throwable exception)

Construct an UnmarshalException with the specified detail message and vendor specific errorCode. The linkedException will default to null.

Parameters:
  `message` - a description of the exception
  `errorCode` - a string specifying the vendor specific error code
  `exception` - the linked exception

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.